Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154784 - boost-debuginfo package is empty
Summary: boost-debuginfo package is empty
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: boost
Version: 5
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Benjamin Kosnik
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 03:52 UTC by Gerald Britton
Modified: 2013-08-09 05:47 UTC (History)
1 user (show)

Fixed In Version: 1.33.1-9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-11-20 17:30:56 UTC


Attachments (Terms of Use)

Description Gerald Britton 2005-04-14 03:52:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
The boost-debuginfo package should be populated with the debug info from
the boost libraries.  I believe the problem may be related to the compiler
options which boost is built with.  The libraries should be built with
optimization and the -g flag, and the debuginfo extracted into the debuginfo
package by the rpm build system.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -ql boost-debuginfo


Actual Results:  (contains no files)

Expected Results:  contains files in /usr/lib/debug/

Additional info:

Comment 1 Denis Leroy 2006-09-10 14:01:36 UTC
This would be considered a blocker bug for a Fedora Extras review.

More and more C++ apps are using boost, so this really ought to be fixed. I'm
currently fixing bugs in wp_tray and not having boost debug makes it more difficult.


Comment 2 Fedora Update System 2006-11-15 21:23:42 UTC
boost-1.33.1-9.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 3 Fedora Update System 2006-11-15 21:24:53 UTC
boost-1.33.1-9.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 4 Fedora Update System 2006-11-20 16:47:12 UTC
boost-1.33.1-9.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 5 Fedora Update System 2006-11-20 16:50:57 UTC
boost-1.33.1-9.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.